#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_RankPointParamData
{
	//编号
	int mID;
	//房间号
	int mRoomID;
	//排行类型
	int mRankType;
	//閥值类型
	int mType;
	//閥值
	int mThresholds;
	//加成(0-10000)
	int maddition;
	//最大值
	int mMax;
};

class Fish_RankPointParam
{
public:
private:
	static std::auto_ptr<Fish_RankPointParam> msSingleton;
public:
	int GetCount();
	const Fish_RankPointParamData* GetData(int ID);
	boost::unordered_map<int, Fish_RankPointParamData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_RankPointParam* GetSingleton();
private:
	boost::unordered_map<int, Fish_RankPointParamData> mMapData;
};
